Bug 3675 - (int136779/int-142967) backup will loop nearly infinitely for directories containing pairs of symlinks that do not point to descendants because backup is following them
(int136779/int-142967)
: backup will loop nearly infinitely for directories containing pairs of symlin...
Status: RESOLVED FIXED
Product: Settings and Maintenance
Backup/Restore
: 5.0/(1.2009.42-11)
: N810 Maemo
: Medium major with 1 vote (vote)
: 5.0/(2.2009.51-1)
Assigned To: unassigned
: backup-restore-bugs
:
: use-time
:
:
  Show dependency tree
 
Reported: 2008-09-03 22:49 UTC by timeless
Modified: 2010-01-15 00:30 UTC (History)
3 users (show)

See Also:


Attachments
(605 bytes, application/x-binary)
2008-09-03 22:50 UTC, timeless
Details
testcase (1.07 KB, application/x-deb)
2008-09-03 22:55 UTC, timeless
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description timeless (reporter) 2008-09-03 22:49:31 UTC
i discovered this while writing the testcase for bug 3591
Comment 1 timeless (reporter) 2008-09-03 22:50:24 UTC
Created an attachment (id=922) [details]
testcase
Comment 2 timeless (reporter) 2008-09-03 22:55:29 UTC
Created an attachment (id=923) [details]
testcase

i made this testcase and RST38h tested it (thanks). i'm attaching it for
posterity.
Comment 3 timeless (reporter) 2008-09-03 22:59:57 UTC
preconditions:
don't leave your device plugged into a charger :)

steps:
1. click attachment 923 [details] and let it install
2. install strace and run strace -f -p `pidof maemo-launcher`
3. run backup and ask it to backup settings

expected results:
backup completes (relatively quickly)

actual results:
backup will probably never complete (technically it might eventually since
we're only pairwise nesting until we hit max path depth, but it's a really
expensive nest), as long as you aren't charging, I'm willing to give you a
cookie if your device finishes (any message) its backup w/o running out of
power.
Comment 4 Quim Gil nokia 2009-05-10 02:01:32 UTC
Have you tested this against Fremantle?

I'm not sure I have the skills to follow the steps of comment #3
Comment 5 Andre Klapper maemo.org 2009-06-22 14:28:46 UTC
(In reply to comment #3)
> 1. click attachment 923 [details] [details] and let it install

Fremantle currently only offers to download, not directly install.
Opening the local package in File Manager and choosing Application manager as
the app to open with currently does not seem to work in Fremantle.

Hence currently unable to test in Fremantle.
Comment 6 Quim Gil nokia 2009-06-22 14:36:48 UTC
You need root and xterm to install packages directly.
Comment 7 Andre Klapper maemo.org 2009-06-22 14:44:31 UTC
(In reply to comment #6)
> You need root and xterm to install packages directly.

I tried this too - "sudo gainroot" and "apt-get install", but how does the URI
have to look like? :-/
Comment 8 timeless (reporter) 2009-06-22 15:28:57 UTC
you'll have to use "dpkg -i bugs-maemo-3675-0.1.deb" instead of apt*
Comment 9 Andre Klapper maemo.org 2009-06-22 16:10:13 UTC
(In reply to comment #3)
> 3. run backup and ask it to backup settings

Sigh, in the current Fremantle version I always get "Application Backup not
responding" after choosing the Data I want to backup.
Later.
Comment 10 Andre Klapper maemo.org 2009-11-16 16:59:21 UTC
This has been fixed in package
libssoautologin 1.0.4-3+0m5
which is part of the internal build version
2.2009.47-5
(Note that 2009 is the year and the number after is the week.)

Any public update released with or after this build version will include the
fix.
Please verify that the new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.
Comment 11 timeless (reporter) 2009-11-16 17:19:55 UTC
given that libssoautologin is some specific victim, that means that the backup
team didn't fix this. please import again.
Comment 12 Andre Klapper maemo.org 2009-11-16 17:31:46 UTC
Do not edit aliases. Thanks.
Comment 13 Andre Klapper maemo.org 2010-01-14 21:53:43 UTC
Internal comment: "This was fixed 3 months ago and is available in
libssoautologin 1.0.7. Please close it."

timeless, if you think that this does not cover the entire issue, feel free to
open an internal issue...
Comment 14 timeless (reporter) 2010-01-15 00:30:57 UTC
andre: i filed this bug against backup. there is no reason for a bug with a
testcase that you could reproduce should be marked as fixed.

especially when the second bug is currently assigned to someone and is *NOT*
resolved.